Page MenuHomePhabricator

[LLDB] Move Trace-specific classes into separate library
ClosedPublic

Authored by bulbazord on Jul 8 2021, 12:13 PM.

Details

Summary

These two classes, TraceSessionFileParser and ThreadPostMortemTrace,
seem to be useful primarily for tracing. Currently it looks like
intel-pt is the sole user of these, but that other tracing plugins could
be written in the future that take advantage of these. Unfortunately
with them in Target, there is a dependency on PluginProcessUtility. I'd
like to sever that dependency, so I moved them into a TraceCommon
plugin.

Diff Detail

Event Timeline

bulbazord created this revision.Jul 8 2021, 12:13 PM
bulbazord requested review of this revision.Jul 8 2021, 12:13 PM
Herald added a project: Restricted Project. · View Herald TranscriptJul 8 2021, 12:13 PM
wallace accepted this revision.Jul 8 2021, 12:23 PM

this looks good to me. Let's wait for Greg's opinion as well

This revision is now accepted and ready to land.Jul 8 2021, 12:23 PM
clayborg accepted this revision.Jul 9 2021, 12:43 PM

LGTM!

clayborg accepted this revision.Jul 21 2021, 11:57 AM
This revision was landed with ongoing or failed builds.Jul 21 2021, 1:28 PM
This revision was automatically updated to reflect the committed changes.